## org.apache.sling.testing.samples.sampletests
Class JUnit4Test

    java.lang.Object
      org.apache.sling.testing.samples.sampletests.JUnit4Test

    public class JUnit4Test

extends java.lang.Object

Example test using the JUnit4 annotations

Constructor Summary
`JUnit4Test()`

Method Summary
`void` `resetTitle()`
`void` `setTitle()`
`void` `testPasses()`
`void` `testRequiresBefore()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JUnit4Test

    public JUnit4Test()

Method Detail

### setTitle

    public void setTitle()

### resetTitle

    public void resetTitle()

### testPasses

    public void testPasses()

### testRequiresBefore

    public void testRequiresBefore()

Copyright © 2007-2011 The Apache Software Foundation. All Rights Reserved.